#include <bits/stdc++.h>

using namespace std;

#define pb push_back
#define int long long
#define F first
#define S second
#define all(x, n, c) sort( x + c, x + n + c )
#define allv(x) sort( x.begin(), x.end() )
#define rev(x, n, c) reverse( x + c, x + n + c )
#define revv(x) reverse( x.begin(), x.end() )
#define sz(x) (x).size()
#define nl "\n"
#define IAmTheOneWhoKnocks ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);

void solve()
{
    map< int, int >mp;
    set< int >st;
    int n, k;
    cin >>n >>k;
        for( int i = 1, x; i <= k; i++ )
        {
            cin >>x;
            mp[x]++;
            if( mp[x] >= n )
            {
                st.insert( x );
            }
        }
    cout <<st.size() <<nl;
    for( auto it: st )
    {
        cout <<it <<" ";
    }
}

signed main()
{
    IAmTheOneWhoKnocks
    int T = 1;
    //cin >>T;
    while( T-- )
    { solve(); }
    return 0;
}
